## hardhat 0.1.0

=== DESCRIPTION ===
Package: hardhat
Title: Construct Modeling Packages
Version: 0.1.0
Authors@R: c(
    person("Davis", "Vaughan", , "davis@rstudio.com", c("aut", "cre")),
    person("Max", "Kuhn", , "max@rstudio.com", c("aut")),
    person("RStudio", role = "cph"))
Maintainer: Davis Vaughan <davis@rstudio.com>
Description: Building modeling packages is hard. A large amount of effort
    generally goes into providing an implementation for a new method that is
    efficient, fast, and correct, but often less emphasis is put on the user
    interface. A good interface requires specialized knowledge about S3 methods
    and formulas, which the average package developer might not have.
    The goal of 'hardhat' is to reduce the burden around building new modeling
    packages by providing functionality for preprocessing, predicting, and
    validating input.
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.0.1
Suggests: recipes, testthat (>= 2.1.0), covr, knitr, rmarkdown,
        usethis, roxygen2, devtools
Imports: glue, rlang (>= 0.4.1), tibble, vctrs (>= 0.2.0)
URL: https://github.com/tidymodels/hardhat
BugReports: https://github.com/tidymodels/hardhat/issues
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2019-12-06 18:56:43 UTC; davis
Author: Davis Vaughan [aut, cre],
  Max Kuhn [aut],
  RStudio [cph]
Repository: CRAN
Date/Publication: 2019-12-16 10:00:09 UTC

## hardhat 0.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: hardhat
 Title: Construct Modeling Packages
-Version: 0.1.0
+Version: 0.1.1
 Authors@R: c(
     person("Davis", "Vaughan", , "davis@rstudio.com", c("aut", "cre")),
     person("Max", "Kuhn", , "max@rstudio.com", c("aut")),
@@ -17,17 +17,17 @@
 License: MIT + file LICENSE
 Encoding: UTF-8
 LazyData: true
-RoxygenNote: 7.0.1
-Suggests: recipes, testthat (>= 2.1.0), covr, knitr, rmarkdown,
-        usethis, roxygen2, devtools
+RoxygenNote: 7.0.2
+Suggests: recipes (>= 0.1.8), testthat (>= 2.1.0), covr, knitr,
+        rmarkdown, usethis, roxygen2, devtools
 Imports: glue, rlang (>= 0.4.1), tibble, vctrs (>= 0.2.0)
 URL: https://github.com/tidymodels/hardhat
 BugReports: https://github.com/tidymodels/hardhat/issues
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2019-12-06 18:56:43 UTC; davis
+Packaged: 2020-01-07 15:27:41 UTC; davis
 Author: Davis Vaughan [aut, cre],
   Max Kuhn [aut],
   RStudio [cph]
 Repository: CRAN
-Date/Publication: 2019-12-16 10:00:09 UTC
+Date/Publication: 2020-01-08 23:01:24 UTC

## hardhat 0.1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: hardhat
 Title: Construct Modeling Packages
-Version: 0.1.1
+Version: 0.1.2
 Authors@R: c(
     person("Davis", "Vaughan", , "davis@rstudio.com", c("aut", "cre")),
     person("Max", "Kuhn", , "max@rstudio.com", c("aut")),
@@ -20,14 +20,14 @@
 RoxygenNote: 7.0.2
 Suggests: recipes (>= 0.1.8), testthat (>= 2.1.0), covr, knitr,
         rmarkdown, usethis, roxygen2, devtools
-Imports: glue, rlang (>= 0.4.1), tibble, vctrs (>= 0.2.0)
+Imports: glue, rlang (>= 0.4.1), tibble, vctrs (>= 0.2.3)
 URL: https://github.com/tidymodels/hardhat
 BugReports: https://github.com/tidymodels/hardhat/issues
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2020-01-07 15:27:41 UTC; davis
+Packaged: 2020-02-27 22:49:24 UTC; davis
 Author: Davis Vaughan [aut, cre],
   Max Kuhn [aut],
   RStudio [cph]
 Repository: CRAN
-Date/Publication: 2020-01-08 23:01:24 UTC
+Date/Publication: 2020-02-28 07:20:16 UTC

## hardhat 0.1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: hardhat
 Title: Construct Modeling Packages
-Version: 0.1.2
+Version: 0.1.3
 Authors@R: c(
     person("Davis", "Vaughan", , "davis@rstudio.com", c("aut", "cre")),
     person("Max", "Kuhn", , "max@rstudio.com", c("aut")),
@@ -17,17 +17,17 @@
 License: MIT + file LICENSE
 Encoding: UTF-8
 LazyData: true
-RoxygenNote: 7.0.2
+RoxygenNote: 7.1.0
 Suggests: recipes (>= 0.1.8), testthat (>= 2.1.0), covr, knitr,
         rmarkdown, usethis, roxygen2, devtools
-Imports: glue, rlang (>= 0.4.1), tibble, vctrs (>= 0.2.3)
+Imports: glue, rlang (>= 0.4.1), tibble, vctrs (>= 0.3.0)
 URL: https://github.com/tidymodels/hardhat
 BugReports: https://github.com/tidymodels/hardhat/issues
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2020-02-27 22:49:24 UTC; davis
+Packaged: 2020-05-20 17:01:36 UTC; davis
 Author: Davis Vaughan [aut, cre],
   Max Kuhn [aut],
   RStudio [cph]
 Repository: CRAN
-Date/Publication: 2020-02-28 07:20:16 UTC
+Date/Publication: 2020-05-20 17:30:02 UTC

## hardhat 0.1.4

=== DESCRIPTION ===
Package: hardhat
Title: Construct Modeling Packages
Version: 0.1.4
Authors@R: 
    c(person(given = "Davis",
             family = "Vaughan",
             role = c("aut", "cre"),
             email = "davis@rstudio.com"),
      person(given = "Max",
             family = "Kuhn",
             role = "aut",
             email = "max@rstudio.com"),
      person(given = "RStudio",
             role = "cph"))
Maintainer: Davis Vaughan <davis@rstudio.com>
Description: Building modeling packages is hard. A large amount
    of effort generally goes into providing an implementation for a new
    method that is efficient, fast, and correct, but often less emphasis
    is put on the user interface. A good interface requires specialized
    knowledge about S3 methods and formulas, which the average package
    developer might not have.  The goal of 'hardhat' is to reduce the
    burden around building new modeling packages by providing
    functionality for preprocessing, predicting, and validating input.
License: MIT + file LICENSE
URL: https://github.com/tidymodels/hardhat
BugReports: https://github.com/tidymodels/hardhat/issues
Depends: R (>= 2.10)
Imports: glue, rlang (>= 0.4.1), tibble, vctrs (>= 0.3.0)
Suggests: covr, crayon, devtools, knitr, modeldata (>= 0.0.2), recipes
        (>= 0.1.8), rmarkdown (>= 2.3), roxygen2, testthat (>= 2.1.0),
        usethis
VignetteBuilder: knitr
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2020-07-02 14:13:18 UTC; davis
Author: Davis Vaughan [aut, cre],
  Max Kuhn [aut],
  RStudio [cph]
Repository: CRAN
Date/Publication: 2020-07-02 14:40:02 UTC

## hardhat 0.1.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: hardhat
 Title: Construct Modeling Packages
-Version: 0.1.4
+Version: 0.1.5
 Authors@R: 
     c(person(given = "Davis",
              family = "Vaughan",
@@ -26,17 +26,17 @@
 BugReports: https://github.com/tidymodels/hardhat/issues
 Depends: R (>= 2.10)
 Imports: glue, rlang (>= 0.4.1), tibble, vctrs (>= 0.3.0)
-Suggests: covr, crayon, devtools, knitr, modeldata (>= 0.0.2), recipes
-        (>= 0.1.8), rmarkdown (>= 2.3), roxygen2, testthat (>= 2.1.0),
-        usethis
+Suggests: covr, crayon, devtools, knitr, Matrix, modeldata (>= 0.0.2),
+        recipes (>= 0.1.8), rmarkdown (>= 2.3), roxygen2, testthat (>=
+        2.1.0), usethis
 VignetteBuilder: knitr
 Encoding: UTF-8
 LazyData: true
 RoxygenNote: 7.1.1
 NeedsCompilation: no
-Packaged: 2020-07-02 14:13:18 UTC; davis
+Packaged: 2020-11-09 16:11:28 UTC; davis
 Author: Davis Vaughan [aut, cre],
   Max Kuhn [aut],
   RStudio [cph]
 Repository: CRAN
-Date/Publication: 2020-07-02 14:40:02 UTC
+Date/Publication: 2020-11-09 16:50:02 UTC

## hardhat 0.1.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: hardhat
 Title: Construct Modeling Packages
-Version: 0.1.5
+Version: 0.1.6
 Authors@R: 
     c(person(given = "Davis",
              family = "Vaughan",
@@ -25,18 +25,19 @@
 URL: https://github.com/tidymodels/hardhat
 BugReports: https://github.com/tidymodels/hardhat/issues
 Depends: R (>= 2.10)
-Imports: glue, rlang (>= 0.4.1), tibble, vctrs (>= 0.3.0)
+Imports: glue, rlang (>= 0.4.2), tibble, vctrs (>= 0.3.0)
 Suggests: covr, crayon, devtools, knitr, Matrix, modeldata (>= 0.0.2),
         recipes (>= 0.1.8), rmarkdown (>= 2.3), roxygen2, testthat (>=
         2.1.0), usethis
+Config/Needs/website: tidyverse/tidytemplate
 VignetteBuilder: knitr
 Encoding: UTF-8
 LazyData: true
 RoxygenNote: 7.1.1
 NeedsCompilation: no
-Packaged: 2020-11-09 16:11:28 UTC; davis
+Packaged: 2021-07-14 21:05:40 UTC; davis
 Author: Davis Vaughan [aut, cre],
   Max Kuhn [aut],
   RStudio [cph]
 Repository: CRAN
-Date/Publication: 2020-11-09 16:50:02 UTC
+Date/Publication: 2021-07-14 21:30:02 UTC

## hardhat 0.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: hardhat
 Title: Construct Modeling Packages
-Version: 0.1.6
+Version: 0.2.0
 Authors@R: 
     c(person(given = "Davis",
              family = "Vaughan",
@@ -33,11 +33,11 @@
 VignetteBuilder: knitr
 Encoding: UTF-8
 LazyData: true
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.2
 NeedsCompilation: no
-Packaged: 2021-07-14 21:05:40 UTC; davis
+Packaged: 2022-01-24 20:31:29 UTC; davis
 Author: Davis Vaughan [aut, cre],
   Max Kuhn [aut],
   RStudio [cph]
 Repository: CRAN
-Date/Publication: 2021-07-14 21:30:02 UTC
+Date/Publication: 2022-01-24 21:12:42 UTC

## hardhat 1.0.0

=== DESCRIPTION ===
Package: hardhat
Title: Construct Modeling Packages
Version: 1.0.0
Authors@R: c(
    person("Davis", "Vaughan", , "davis@rstudio.com", role = c("aut", "cre")),
    person("Max", "Kuhn", , "max@rstudio.com", role = "aut"),
    person("RStudio", role = c("cph", "fnd"))
  )
Maintainer: Davis Vaughan <davis@rstudio.com>
Description: Building modeling packages is hard. A large amount of effort
    generally goes into providing an implementation for a new method that
    is efficient, fast, and correct, but often less emphasis is put on the
    user interface. A good interface requires specialized knowledge about
    S3 methods and formulas, which the average package developer might not
    have.  The goal of 'hardhat' is to reduce the burden around building
    new modeling packages by providing functionality for preprocessing,
    predicting, and validating input.
License: MIT + file LICENSE
URL: https://github.com/tidymodels/hardhat,
        https://hardhat.tidymodels.org
BugReports: https://github.com/tidymodels/hardhat/issues
Depends: R (>= 3.4.0)
Imports: glue (>= 1.6.2), rlang (>= 1.0.2), tibble (>= 3.1.7), vctrs
        (>= 0.4.1)
Suggests: covr, crayon, devtools, knitr, Matrix, modeldata (>= 0.0.2),
        recipes (>= 0.1.8), rmarkdown (>= 2.3), roxygen2, testthat (>=
        3.0.0), usethis (>= 2.1.5)
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.2.0
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2022-06-01 18:05:19 UTC; davis
Author: Davis Vaughan [aut, cre],
  Max Kuhn [aut],
  RStudio [cph, fnd]
Repository: CRAN
Date/Publication: 2022-06-01 21:30:10 UTC

=== debian/changelog ===
hardhat (1.0.0) stable; urgency=low

  * Initial release.

 -- Wessel Dankers <wsl@fruit.je>  Thu, 09 Aug 2012 13:27:11 +0200

=== debian/control ===
Source: hardhat
Section: libs
Priority: extra
Maintainer: Wessel Dankers <wsl@fruit.je>
Build-Depends: cdbs, debhelper (>= 7)
Standards-Version: 3.7.2

Package: hardhat
Section: admin
Architecture: any
Depends: ${shlibs:Depends}
Description: Write-once database with filesystem semantics
 Store files in a write-once database. Keys can be browsed by
 filesystem-like operations.
 .
 This package provides the creation tool.

Package: libhardhat0
Architecture: any
Depends: ${shlibs:Depends}
Description: Write-once database with filesystem semantics
 Store files in a write-once database. Keys can be browsed by
 filesystem-like operations.
 .
 This package provides the shared library for use in other programs.

Package: libhardhat-dev
Section: libdevel
Architecture: any
Depends: libhardhat0 (= ${binary:Version}), libc6-dev
Description: Write-once database with filesystem semantics
 Store files in a write-once database. Keys can be browsed by
 filesystem-like operations.
 .
 This package provides the files required to compile applications
 that use the hardhat library.

## hardhat 1.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: hardhat
 Title: Construct Modeling Packages
-Version: 1.0.0
+Version: 1.1.0
 Authors@R: c(
     person("Davis", "Vaughan", , "davis@rstudio.com", role = c("aut", "cre")),
     person("Max", "Kuhn", , "max@rstudio.com", role = "aut"),
@@ -32,9 +32,9 @@
 RoxygenNote: 7.2.0
 Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2022-06-01 18:05:19 UTC; davis
+Packaged: 2022-06-10 13:03:30 UTC; davis
 Author: Davis Vaughan [aut, cre],
   Max Kuhn [aut],
   RStudio [cph, fnd]
 Repository: CRAN
-Date/Publication: 2022-06-01 21:30:10 UTC
+Date/Publication: 2022-06-10 15:30:05 UTC

=== debian/changelog ===
hardhat (1.1.0) stable; urgency=medium

  * Fix ls/find to not return the root.
  * Switch to murmur3 hash algorithm.
  * Bump version number.
  * Switch from cdbs to dh.

 -- Wessel Dankers <wsl@fruit.je>  Sat, 24 May 2014 15:07:54 +0200

## hardhat 1.1.1

=== debian/changelog ===
hardhat (1.1.1) stable; urgency=high

  * Fix segmentation fault.
  * Pad using writes instead of seeks.

 -- Wessel Dankers <wsl@fruit.je>  Sun, 22 Jun 2014 18:51:46 +0200

## hardhat 1.1.2

=== debian/changelog ===
hardhat (1.1.2) stable; urgency=medium

  * Sanity checks for untrusted input.
  * Bump debian/compat to 9.

 -- Wessel Dankers <W.S.L.Dankers@uvt.nl>  Fri, 20 Feb 2015 13:21:42 +0100

## hardhat 1.1.3

=== debian/changelog ===
hardhat (1.1.3) stable; urgency=medium

  * Fix alignment bug (affects architectures that align 64 integers to 4 bytes).

 -- Wessel Dankers <W.S.L.Dankers@uvt.nl>  Fri, 27 Feb 2015 16:53:51 +0100

## hardhat 1.1.4

=== debian/changelog ===
hardhat (1.1.4) stable; urgency=medium

  * Fix normalization bug.
  * Add typing for hardhat objects.
  * Export hardhat_normalize and hardhat_cmp properly.
  * Fix hhm error free() bugs.
  * Properly check clock_gettime() return value.

 -- Wessel Dankers <wsl@fruit.je>  Wed, 16 Sep 2015 22:10:17 +0200

=== debian/rules ===
#! /usr/bin/make -f

%:
	exec dh $@ --parallel

override_dh_builddeb:
	exec dh_builddeb -- -Zxz -z9

override_dh_auto_install:
	exec dh_auto_install
	exec find debian/tmp -name \*.la -delete

## hardhat 1.1.5

=== debian/changelog ===
hardhat (1.1.5) stable; urgency=medium

  * Fix infinite loop bug.

 -- Wessel Dankers <wsl@fruit.je>  Tue, 16 Feb 2016 13:34:23 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: extra
 Maintainer: Wessel Dankers <wsl@fruit.je>
-Build-Depends: cdbs, debhelper (>= 7)
+Build-Depends: debhelper (>= 7)
 Standards-Version: 3.7.2
 
 Package: hardhat

## hardhat 1.2.0~2018.09.18.21.03.16

=== debian/changelog ===
hardhat (1.2.0~2018.09.18.21.03.16) UNRELEASED; urgency=medium

  * Smarter padding.
  * Defend against hash complexity attacks by falling back to
    binary search.
  * Bump database version number.

 -- Wessel Dankers <wsl@fruit.je>  Sat, 10 Sep 2016 14:27:07 +0200

## hardhat 1.2.0~2019.09.22.10.16.19

=== debian/changelog ===
hardhat (1.2.0~2019.09.22.10.16.19) UNRELEASED; urgency=medium

  * Smarter padding.
  * Defend against hash complexity attacks by falling back to
    binary search.
  * Bump database version number.
  * Fix hashing bug.
  * Fix memory leak.

 -- Wessel Dankers <wsl@fruit.je>  Sat, 10 Sep 2016 14:27:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: hardhat
 Section: libs
-Priority: extra
+Priority: optional
 Maintainer: Wessel Dankers <wsl@fruit.je>
 Build-Depends: debhelper (>= 7)
 Standards-Version: 3.7.2

## hardhat 1.3.0

=== DESCRIPTION ===
Package: hardhat
Title: Construct Modeling Packages
Version: 1.3.0
Authors@R: c(
    person("Davis", "Vaughan", , "davis@posit.co", role = c("aut", "cre")),
    person("Max", "Kuhn", , "max@posit.co", role = "aut"),
    person("Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: Building modeling packages is hard. A large amount of effort
    generally goes into providing an implementation for a new method that
    is efficient, fast, and correct, but often less emphasis is put on the
    user interface. A good interface requires specialized knowledge about
    S3 methods and formulas, which the average package developer might not
    have. The goal of 'hardhat' is to reduce the burden around building
    new modeling packages by providing functionality for preprocessing,
    predicting, and validating input.
License: MIT + file LICENSE
URL: https://github.com/tidymodels/hardhat,
        https://hardhat.tidymodels.org
BugReports: https://github.com/tidymodels/hardhat/issues
Depends: R (>= 3.5.0)
Imports: cli (>= 3.6.0), glue (>= 1.6.2), rlang (>= 1.1.0), tibble (>=
        3.2.1), vctrs (>= 0.6.0)
Suggests: covr, crayon, devtools, knitr, Matrix, modeldata (>= 0.0.2),
        recipes (>= 1.0.5), rmarkdown (>= 2.3), roxygen2, testthat (>=
        3.0.0), usethis (>= 2.1.5)
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2023-03-29 18:31:14 UTC; davis
Author: Davis Vaughan [aut, cre],
  Max Kuhn [aut],
  Posit Software, PBC [cph, fnd]
Maintainer: Davis Vaughan <davis@posit.co>
Repository: CRAN
Date/Publication: 2023-03-30 09:20:12 UTC

## hardhat 1.4.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Package: hardhat
 Title: Construct Modeling Packages
-Version: 1.3.0
+Version: 1.4.0
 Authors@R: c(
-    person("Davis", "Vaughan", , "davis@posit.co", role = c("aut", "cre")),
+    person("Hannah", "Frick", , "hannah@posit.co", role = c("aut", "cre"),
+           comment = c(ORCID = "0000-0002-6049-5258")),
+    person("Davis", "Vaughan", , "davis@posit.co", role = "aut"),
     person("Max", "Kuhn", , "max@posit.co", role = "aut"),
     person("Posit Software, PBC", role = c("cph", "fnd"))
   )
@@ -23,18 +25,19 @@
         3.2.1), vctrs (>= 0.6.0)
 Suggests: covr, crayon, devtools, knitr, Matrix, modeldata (>= 0.0.2),
         recipes (>= 1.0.5), rmarkdown (>= 2.3), roxygen2, testthat (>=
-        3.0.0), usethis (>= 2.1.5)
+        3.0.0), usethis (>= 2.1.5), withr (>= 3.0.0)
 VignetteBuilder: knitr
 Config/Needs/website: tidyverse/tidytemplate
 Config/testthat/edition: 3
 Encoding: UTF-8
 LazyData: true
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.1
 NeedsCompilation: no
-Packaged: 2023-03-29 18:31:14 UTC; davis
-Author: Davis Vaughan [aut, cre],
+Packaged: 2024-05-31 19:20:38 UTC; davis
+Author: Hannah Frick [aut, cre] (<https://orcid.org/0000-0002-6049-5258>),
+  Davis Vaughan [aut],
   Max Kuhn [aut],
   Posit Software, PBC [cph, fnd]
-Maintainer: Davis Vaughan <davis@posit.co>
+Maintainer: Hannah Frick <hannah@posit.co>
 Repository: CRAN
-Date/Publication: 2023-03-30 09:20:12 UTC
+Date/Publication: 2024-06-02 16:30:12 UTC

## hardhat 1.4.2

=== DESCRIPTION ===
Package: hardhat
Title: Construct Modeling Packages
Version: 1.4.2
Authors@R: c(
    person("Hannah", "Frick", , "hannah@posit.co", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0002-6049-5258")),
    person("Davis", "Vaughan", , "davis@posit.co", role = "aut"),
    person("Max", "Kuhn", , "max@posit.co", role = "aut"),
    person("Posit Software, PBC", role = c("cph", "fnd"),
           comment = c(ROR = "03wc8by49"))
  )
Description: Building modeling packages is hard. A large amount of effort
    generally goes into providing an implementation for a new method that
    is efficient, fast, and correct, but often less emphasis is put on the
    user interface. A good interface requires specialized knowledge about
    S3 methods and formulas, which the average package developer might not
    have. The goal of 'hardhat' is to reduce the burden around building
    new modeling packages by providing functionality for preprocessing,
    predicting, and validating input.
License: MIT + file LICENSE
URL: https://github.com/tidymodels/hardhat,
        https://hardhat.tidymodels.org
BugReports: https://github.com/tidymodels/hardhat/issues
Depends: R (>= 4.1)
Imports: cli (>= 3.6.0), glue (>= 1.6.2), rlang (>= 1.1.0), sparsevctrs
        (>= 0.2.0), tibble (>= 3.2.1), vctrs (>= 0.6.0)
Suggests: covr, crayon, devtools, knitr, Matrix, modeldata (>= 0.0.2),
        recipes (>= 1.0.5), rmarkdown (>= 2.3), roxygen2, testthat (>=
        3.0.0), usethis (>= 2.1.5), withr (>= 3.0.0)
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Config/usethis/last-upkeep: 2025-04-23
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.3.2
NeedsCompilation: no
Packaged: 2025-08-19 17:29:25 UTC; hannah
Author: Hannah Frick [aut, cre] (ORCID:
    <https://orcid.org/0000-0002-6049-5258>),
  Davis Vaughan [aut],
  Max Kuhn [aut],
  Posit Software, PBC [cph, fnd] (ROR: <https://ror.org/03wc8by49>)
Maintainer: Hannah Frick <hannah@posit.co>
Repository: CRAN
Date/Publication: 2025-08-20 05:00:57 UTC
